Package org.mozilla.javascript.regexp

## Class RegExpImpl

- java.lang.Object
- - org.mozilla.javascript.regexp.RegExpImpl

- All Implemented Interfaces:
    `RegExpProxy`

      public class RegExpImpl
      extends java.lang.Object
      implements RegExpProxy

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `input` |
    `protected SubString` | `lastMatch` |
    `protected SubString` | `lastParen` |
    `protected SubString` | `leftContext` |
    `protected boolean` | `multiline` |
    `protected SubString[]` | `parens` |
    `protected SubString` | `rightContext` |

    - ### Fields inherited from interface org.mozilla.javascript.RegExpProxy

      `RA_MATCH, RA_REPLACE, RA_REPLACE_ALL, RA_SEARCH`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RegExpImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `action​(Context cx, Scriptable scope, Scriptable thisObj, java.lang.Object[] args, int actionType)` |
    `java.lang.Object` | `compileRegExp​(Context cx, java.lang.String source, java.lang.String flags)` |
    `int` | `find_split​(Context cx, Scriptable scope, java.lang.String target, java.lang.String separator, Scriptable reObj, int[] ip, int[] matchlen, boolean[] matched, java.lang.String[][] parensp)` |
    `boolean` | `isRegExp​(Scriptable obj)` |
    `java.lang.Object` | `js_split​(Context cx, Scriptable scope, java.lang.String target, java.lang.Object[] args)` |
    `Scriptable` | `wrapRegExp​(Context cx, Scriptable scope, java.lang.Object compiled)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### input

          protected java.lang.String input

    - #### multiline

          protected boolean multiline

    - #### parens

          protected SubString[] parens

    - #### lastMatch

          protected SubString lastMatch

    - #### lastParen

          protected SubString lastParen

    - #### leftContext

          protected SubString leftContext

    - #### rightContext

          protected SubString rightContext

  - ### Constructor Detail

    - #### RegExpImpl

          public RegExpImpl()

  - ### Method Detail

    - #### isRegExp

          public boolean isRegExp​(Scriptable obj)

      Specified by:
        `isRegExp` in interface `RegExpProxy`

    - #### compileRegExp

          public java.lang.Object compileRegExp​(Context cx,
                                                java.lang.String source,
                                                java.lang.String flags)

      Specified by:
        `compileRegExp` in interface `RegExpProxy`

    - #### wrapRegExp

          public Scriptable wrapRegExp​(Context cx,
                                       Scriptable scope,
                                       java.lang.Object compiled)

      Specified by:
        `wrapRegExp` in interface `RegExpProxy`

    - #### action

          public java.lang.Object action​(Context cx,
                                         Scriptable scope,
                                         Scriptable thisObj,
                                         java.lang.Object[] args,
                                         int actionType)

      Specified by:
        `action` in interface `RegExpProxy`

    - #### find_split

          public int find_split​(Context cx,
                                Scriptable scope,
                                java.lang.String target,
                                java.lang.String separator,
                                Scriptable reObj,
                                int[] ip,
                                int[] matchlen,
                                boolean[] matched,
                                java.lang.String[][] parensp)

      Specified by:
        `find_split` in interface `RegExpProxy`

    - #### js_split

          public java.lang.Object js_split​(Context cx,
                                           Scriptable scope,
                                           java.lang.String target,
                                           java.lang.Object[] args)

      Specified by:
        `js_split` in interface `RegExpProxy`